Page MenuHomePhabricator

Toolforge: cleanup unused/old puppet code
Closed, ResolvedPublic

Description

Now that the Trusty grid is gone from Toolforge, there is a lot of puppet code that can be dropped. Specially in the */toollabs/* namespace.
Also, this code is, in general, not following the roles/profile pattern. So a double win.

However, care should be taken to identify missing bits in the new Toolforge code namespace, so we can't simply drop the code using find.

Details

Related Gerrit Patches:
operations/puppet : productiontoolforge: introduce new proxy role
operations/puppet : productiontoolforge: refactor redis role from toollabs
operations/puppet : productiontoolforge: refactor static role puppet code
operations/puppet : productiontoollabs: drop old node puppet code
operations/puppet : productionToolforge: cleanup unused puppet code
operations/puppet : productionsonofgridengine: cleaning up old intermodule dep
operations/puppet : productionsonofgridengine: don't use old gridengine code
operations/puppet : productionsonofgridengine: don't use old gridengine code
operations/puppet : productiontoollabs: Remove support for trusty/Ubuntu
operations/puppet : productiontoolforge: Remove support for trusty

Event Timeline

aborrero triaged this task as Normal priority.Mar 27 2019, 10:56 AM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2019, 10:56 AM
aborrero updated the task description. (Show Details)Apr 1 2019, 9:38 AM

Change 500388 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] toolforge: Remove support for trusty

https://gerrit.wikimedia.org/r/500388

GTirloni removed a subscriber: GTirloni.Apr 3 2019, 10:20 AM

Change 500388 merged by Muehlenhoff:
[operations/puppet@production] toolforge: Remove support for trusty

https://gerrit.wikimedia.org/r/500388

Change 502444 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] toollabs: Remove support for trusty/Ubuntu

https://gerrit.wikimedia.org/r/502444

Change 502444 merged by Muehlenhoff:
[operations/puppet@production] toollabs: Remove support for trusty/Ubuntu

https://gerrit.wikimedia.org/r/502444

Change 503035 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] Toolforge: cleanup unused puppet code

https://gerrit.wikimedia.org/r/503035

Change 503040 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] sonofgridengine: don't use old gridengine code

https://gerrit.wikimedia.org/r/503040

Change 503040 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] sonofgridengine: don't use old gridengine code

https://gerrit.wikimedia.org/r/503040

Change 503045 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] sonofgridengine: don't use old gridengine code

https://gerrit.wikimedia.org/r/503045

Change 503045 merged by Bstorm:
[operations/puppet@production] sonofgridengine: don't use old gridengine code

https://gerrit.wikimedia.org/r/503045

Change 503070 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] sonofgridengine: cleaning up old intermodule dep

https://gerrit.wikimedia.org/r/503070

Change 503070 merged by Bstorm:
[operations/puppet@production] sonofgridengine: cleaning up old intermodule dep

https://gerrit.wikimedia.org/r/503070

Change 503035 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] Toolforge: cleanup unused puppet code

https://gerrit.wikimedia.org/r/503035

Mentioned in SAL (#wikimedia-cloud) [2019-05-07T10:06:19Z] <arturo> T219362 drop the tools-exec-1 puppet prefix

Change 508529 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] toollabs: drop old compute puppet code

https://gerrit.wikimedia.org/r/508529

Mentioned in SAL (#wikimedia-cloud) [2019-05-07T10:14:48Z] <arturo> T219362 drop the tools-webgrid-generic puppet prefix

Mentioned in SAL (#wikimedia-cloud) [2019-05-07T10:16:36Z] <arturo> T219362 drop the tools-webgrid-lighttpd puppet prefix

Mentioned in SAL (#wikimedia-cloud) [2019-05-07T10:19:13Z] <arturo> T219362 drop the toolsbeta-webgrid-lighttpd puppet prefix

Mentioned in SAL (#wikimedia-cloud) [2019-05-07T10:20:52Z] <arturo> T219362 drop the toolsbeta-webgrid-generic puppet prefix

Mentioned in SAL (#wikimedia-cloud) [2019-05-07T10:22:25Z] <arturo> T219362 drop the toolsbeta-exec puppet prefix

Change 508529 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] toollabs: drop old node puppet code

https://gerrit.wikimedia.org/r/508529

Change 508535 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] toolforge: refactor static role puppet code

https://gerrit.wikimedia.org/r/508535

Mentioned in SAL (#wikimedia-cloud) [2019-05-07T11:01:17Z] <arturo> T219362 disable puppet in tools-static servers for puppet code cleanup

Change 508535 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] toolforge: refactor static role puppet code

https://gerrit.wikimedia.org/r/508535

Mentioned in SAL (#wikimedia-cloud) [2019-05-07T11:10:22Z] <arturo> T219362 enable puppet in tools-static servers and use new puppet role

Mentioned in SAL (#wikimedia-cloud) [2019-05-07T11:12:10Z] <arturo> T219362 drop the tools-services puppet prefix (we are actually using tools-sgeservices)

Change 508542 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] toolforge: refactor redis role from toollabs

https://gerrit.wikimedia.org/r/508542

Mentioned in SAL (#wikimedia-cloud) [2019-05-07T11:33:24Z] <arturo> T219362 disable puppet in tools-reds servers for puppet code cleanup

Change 508542 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] toolforge: refactor redis role from toollabs

https://gerrit.wikimedia.org/r/508542

Mentioned in SAL (#wikimedia-cloud) [2019-05-07T11:46:39Z] <arturo> T219362 enable puppet in tools-redis servers and use the new puppet role

Change 508560 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] toolforge: refactor proxy role from toollabs

https://gerrit.wikimedia.org/r/508560

aborrero closed this task as Resolved.May 31 2019, 4:20 PM

Most of the unused toolforge code has been cleaned up already. We still have plenty of code in the toollabs namespace, but that code is in use, mostly by k8s and other pieces that weren't upgraded as part of the GE->SGE migration.

I don't think we should mix cleanup tasks with other involving pure upgrades (and the k8s is a pure upgrade project), so I'll close this task now.

I'll merge https://gerrit.wikimedia.org/r/c/operations/puppet/+/508560 soon.

Change 508560 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] toolforge: introduce new proxy role

https://gerrit.wikimedia.org/r/508560